Page MenuHomePhabricator

[LoopVersioning] Form dedicated exits for versioned loop to preserve simplify form
ClosedPublic

Authored by TaWeiTu on Oct 16 2020, 10:54 AM.

Details

Summary

The exit blocks of the versioned and non-versioned loops are not dedicated and thus the two loops are not in simplify form.
Insert dummy exit blocks after loop versioning with formDedicatedExits() to preserve the simplify form for subsequence passes.

Diff Detail

Event Timeline

TaWeiTu created this revision.Oct 16 2020, 10:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 16 2020, 10:54 AM
TaWeiTu requested review of this revision.Oct 16 2020, 10:54 AM
aeubanks accepted this revision.Oct 19 2020, 9:49 AM

lgtm, but maybe somebody else should also take a look

This revision is now accepted and ready to land.Oct 19 2020, 9:49 AM

Ping. Any comments from other reviewers? Thanks!

the new assert makes sense to me, if nobody else is taking a look feel free to submit

This revision was landed with ongoing or failed builds.Oct 24 2020, 6:41 AM
This revision was automatically updated to reflect the committed changes.